import { prefetch } from "@/helpers/dom";

import click from "./assets/click.mp3";

export const SOUNDS = {
  click,
} as const;

export type SoundKey = keyof typeof SOUNDS;

export function preloadSounds() {
  for (const src of Object.values(SOUNDS)) {
    prefetch(src);
  }
}
